unit Unit1;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.StdCtrls, Vcl.MPlayer;

type
  TForm2 = class(TForm)
    BtnPlay: TButton;
    MediaPlayer1: TMediaPlayer;
    OpenDialog1: TOpenDialog;
    BtnStop: TButton;

    procedure BtnPlayClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure BtnStopClick(Sender: TObject);

  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form2: TForm2;

implementation

{$R *.dfm}

procedure TForm2.BtnPlayClick(Sender: TObject);
begin
  OpenDialog1.Execute();
  MediaPlayer1.FileName := OpenDialog1.FileName;
  MediaPlayer1.Open;
  MediaPlayer1.Play;
end;

procedure TForm2.BtnStopClick(Sender: TObject);
begin
  MediaPlayer1.Stop;
  MediaPlayer1.Close;
end;

procedure TForm2.FormCreate(Sender: TObject);
begin
  MediaPlayer1.AutoEnable := false;
end;

end.
